## org.apache.solr.common.util
Class SolrjNamedThreadFactory

    java.lang.Object
      org.apache.solr.common.util.SolrjNamedThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class SolrjNamedThreadFactory

extends Object
implements ThreadFactory

Constructor Summary
`SolrjNamedThreadFactory(String namePrefix)`

Method Summary
`Thread` `newThread(Runnable r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrjNamedThreadFactory

    public SolrjNamedThreadFactory(String namePrefix)

Method Detail

### newThread

    public Thread newThread(Runnable r)

  Specified by:
    `newThread` in interface `ThreadFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.